Subject: bug#17741: 24.3; problem with cua-mode text insertion

From: Stefan Monnier <[email-masked]>
Date: Mon, 09 Jun 2014 13:02:34 -0400

> May I please ask for some confirmation: is the case 1)
> really a bug, or did I misunderstand some aspect of
> cua-mode.  Thanks in advance, kindest regards.

Good question.  I think it's "by design":
- M-> in cua-rectangle-mark-mode means "extend vertically to bottom of
  buffer".
- when the rectangle has 1-char width, whether insertion is done
  before/after is determined by whether the cursor is at the top or at
  the bottom of the rectangle.
- M-> does not move the cursor to (one of) the bottom corners.

So if you hit RET (which cycles through the different rectangle corners)
before typing "1" in your recipe, the ones will be inserted where you
expect them.

I don't find this choice of behavior for M-> very intuitive from an
"Emacs binding" point of view, but then I'm not a CUA user.

        Stefan